# Delete timeRegistrationEntries
Delete a timeRegistrationEntry from Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
DELETE businesscentralPrefix/companies({id})/timeRegistrationEntries({timeregistrationId})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
If-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the timeRegistrationEntries, the timeRegistrationEntries won't be updated.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns ```204 No Content``` response code. It doesn't return anything in the response body.
## Example
Request
Here's an example of the request.
```json
DELETE https://{businesscentralPrefix}/api/v2.0/companies({id})/timeRegistrationEntries({timeregistrationId})
```
Response
Here's an example of the response.
```json
HTTP/1.1 204 No Content
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../../../webservices/dynamics-error-codes
timeRegistrationEntries<../resources/dynamics_timeregistrationentry>
Get timeRegistrationEntries<dynamics_timeregistrationentry_get>
Post timeRegistrationEntries<dynamics_timeregistrationentry_create>
Patch timeRegistrationEntries<dynamics_timeregistrationentry_update>
Delete timeRegistrationEntries<dynamics_timeregistrationentry_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_delete/
